PISG(1)

NAME
pisg - Perl IRC Statistics Generator

DESCRIPTION

pisg is a program which takes IRC logfiles and turns the into nice looking stats, which can be amusing to show to the users of your channel. It's quite simple to set up using command line parameters or a configuration file.

OPTIONS

These programs follow the usual GNU command line syntax, with long options starting with two dashes (`--'). A summary of options is included below.

-ch --channel=
    Set channel name

-cc --cchannels=
    Only do this channel from configuration file, give multiple times to do multiple channels

-l --logfile=
    Log file to parse

-o --outfile=
    Name of HTML file to create

-t --tag=
    Replace %t in --outfile by argument

-ma --maintainer=
    Channel/stats maintainer

-f --format=
    Logfile format

-ne --network=
    IRC network of the channel

-d --dir=
    Analyze all files in this directory. Ignores --logfile. Give multiple times to use multiple directories.

-nf --nfiles=
    Analyze the last n files if used with --dir

-p --prefix=
    Analyze only files prefixed by something in dir. Only works with --dir

-cf --cfg opt=value
    Specify configuration options

-co --configfile=
    Configuration file

-mo --moduledir=
    Directory containing pisg modules

-s --silent
    Suppress output (except error messages)

-v --version
    Show version

-h --help
    Show help

SEE ALSO

The pisg manual is located in /usr/share/doc/pisg/.

AUTHOR

This manual page was written by Julien Danjou <acid@debian.org> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.